/*
 * Copyright 2009 NEHTA
 *
 * Licensed under the NEHTA Open Source (Apache) License; you may not use this
 * file except in compliance with the License. A copy of the License is in the
 * 'license.txt' file, which should be provided with this work.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */
package au.gov.nehta.xsp.impl.v1;

/**
 *
 */
public final class XmlSigConstants {

  /**
   * XML Signature namespace
   */
  public static final String XMLDSIG_NS = "http://www.w3.org/2000/09/xmldsig#";

  /**
   * Prefix for the XML Signature namespace
   */
  public static final String XMLDSIG_NS_PREFIX = "ds";

  /**
   * Tag of the 'Signature' element
   */
  public static final String SIGNATURE_TAG = "Signature";

  /**
   * XML namespace.
   */
  public static final String XML_NS = "http://www.w3.org/XML/1998/namespace";

  /**
   * XML namespace prefix.
   */
  public static final String XML_NS_PREFIX = "xml";

  /**
   * xml:id qualified attribute name.
   */
  public static final String XML_ID_QNAME = XML_NS_PREFIX + ":id";

}
